Source: https://dinakar-rewind.docs.pageloop.ai/api-reference/admin/adminsyncreading

# Trigger Instapaper sync

POST `https://api.rewind.rest/v1/admin/sync/reading`

Manually trigger an Instapaper reading sync.

## Authorization

#### Authorization (header, string, required)

API key. Read keys (rw\_live\_...) access GET endpoints. Admin keys (rw\_admin\_...) access all endpoints.

## Response

#### 200

Sync completed successfully

#### status (enum (string), required) — allowed: completed

#### items\_synced (integer, required)

#### timestamp (string)

#### geocoded (integer)

Running only: activities reverse-geocoded in this call (bounded batch).

#### geocode\_remaining (integer)

Running only: activities with coordinates still awaiting geocoding. Call again to drain.

#### 401

Unauthorized

#### error (string, required)

#### status (integer, required)

#### 500

Internal server error

#### error (string, required)

#### status (integer, required)

#### Request

```bash cURL
curl -X POST 'https://api.rewind.rest/v1/admin/sync/reading' \
  -H 'Authorization: Bearer <token>'
```

```javascript JavaScript
const res = await fetch('https://api.rewind.rest/v1/admin/sync/reading', {
  method: 'POST',
  headers: {
    'Authorization': 'Bearer <token>',
  },
});
const data = await res.json();
```

```python Python
import requests

res = requests.post(
    'https://api.rewind.rest/v1/admin/sync/reading',
    headers={'Authorization': 'Bearer <token>'}
)
data = res.json()
```

#### Response

```json 200
{
  "status": "completed",
  "items_synced": 42,
  "timestamp": "date-time",
  "geocoded": 200,
  "geocode_remaining": 864
}
```

```json 401
{
  "error": "Not found",
  "status": 404
}
```

```json 500
{
  "error": "Not found",
  "status": 404
}
```
